name: CI/CD Pipeline

on: push

jobs:
  test:
    runs-on: ubuntu-latest
    container: git.hofer.link/ruderverein-donau-linz/rowing-ci:20240215
    steps:
    - uses: actions/checkout@v3

      #    - name: Set up cargo cache
      #      uses: actions/cache@v3
      #      with:
      #        path: |
      #          ~/.cargo/bin/
      #          ~/.cargo/registry/index/
      #          ~/.cargo/registry/cache/
      #          ~/.cargo/git/db/
      #          target/
      #        key: ${{ runner.os }}-cargo-debug-${{ hashFiles('**/Cargo.lock') }}
      #        restore-keys: ${{ runner.os }}-cargo-debug-

    - name: Tests
      run: cargo test --verbose
